%define	name	openmcu
%define	version	2.1.0
%define	release	4mdk

%{expand:%%define o_ver %(echo v%{version}| sed "s#\.#_#g")}
%define openh323_version 1.15.3
%define pwlib_version 1.8.4

Summary:	H.323 conferencing server    
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Communications
URL:		http://www.openh323.org/
Source0:	http://prdownloads.sourceforge.net/openh323/%{name}-%{o_ver}-src-tar.bz2
Patch0:		%{name}-1.1.5-mak_files.patch.bz2
Patch1:		openmcu_v2_1_0-amd64_gcc4.diff.bz2
Patch2:		openmcu_v2_1_0-doc_fixes.diff.bz2
BuildRequires:	openh323-devel >= %openh323_version pwlib-devel >= %pwlib_version
Conflicts:	vpb-devel
Requires:	pwlib1 >= %{pwlib_version} openh323_1 >= %{openh323_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
A free H.323 conferencing server. Part of OpenH323 project.

Features:
---------
- requires no codec hardware to operate
- currently supports G.711 and GSM audio codecs and H.261 video codecs
- can accept multiple connections simultaneously
- several different conferences can be talking place at the same time
  using the 'rooms' feature
- display statistics on calls in progress
- initiate calls from the MCU to remote endpoints

%prep

%setup -q -n %{name}_%{o_ver}
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build

export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%make \
    OPTCCFLAGS="%{optflags}" \
    PWLIBDIR=%{_datadir}/pwlib \
    OPENH323DIR=%{_prefix} \
    PREFIX=%{_prefix} \
    PWLIB_BUILD=1 \
    optshared

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}

install -m0755 obj_*/%{name} %{buildroot}%{_bindir}
install -m0644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ReadMe.txt
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-4mdk
- rebuild

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-3mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 2.1.0-2mdk
- rebuild

* Tue Mar 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0
- added rediffed P1 and P2 (debian)

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.4-4mdk
- nuke buildrequires and even conflict with vpb-devel

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.13.4-3mdk
- Rebuild with latest pwlib/openh323

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.13.4-2mdk 
- rebuild for new gcc

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- buildrequires
- drop P1
- cleanups

* Fri Sep 12 2003 Florin <florin@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7
- add the includes patch

* Tue Mar 11 2003 Florin <florin@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5
- update requires

* Mon Oct 28 2002 Florin <florin@mandrakesoft.com> 1.0.19-1mdk
- 1.0.19
- update the mak_files patch
- update the Requires

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.18-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Aug 02 2002 Florin <florin@mandrakesoft.com> 1.0.18-1mdk
- 1.0.18

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.17-2mdk
- Automated rebuild with gcc3.2

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 1.0.17-1mdk
- 1.0.17

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.0.14-2mdk
- rebuild with the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.0.10-2mdk
- recompile against the new openh323 and pwlib libs

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.0.9-5mdk
- new pwlib and openh323

* Sat Oct 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.9-4mdk
- BuildRequires: pwlib-devel

* Wed Sep 12 2001 Florin <florin@mandrakesoft.com> 1.0.9-3mdk
- rebuild with the new pwlib1 and openh323_1 changes 
- add requires on the versions of these-libs

* Wed Aug 22 2001 Florin <florin@mandrakesoft.com> 1.0.9-2mdk
- add requires on pwlib and openh323

* Tue Aug 21 2001 Florin <florin@mandrakesoft.com> 1.0.9-1mdk
- new spec
